# TdApi.UpdateUnreadMessageCount (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: UpdateUnreadMessageCount

Package it.tdlight.jni

# Class TdApi.UpdateUnreadMessageCount

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateUnreadMessageCount

Enclosing class:
  TdApi

    public static class TdApi.UpdateUnreadMessageCount
    extends TdApi.Update

Number of unread messages in a chat list has changed. This update is sent only if the message database is used.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.ChatList` | `chatList` | The chat list with changed number of unread messages.
`static int` | `CONSTRUCTOR` |
`int` | `unreadCount` | Total number of unread messages.
`int` | `unreadUnmutedCount` | Total number of unread messages in unmuted chats.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UpdateUnreadMessageCount()` | Number of unread messages in a chat list has changed.
`UpdateUnreadMessageCount​(TdApi.ChatList chatList, int unreadCount, int unreadUnmutedCount)` | Number of unread messages in a chat list has changed.
`UpdateUnreadMessageCount​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatList

public TdApi.ChatList chatList
The chat list with changed number of unread messages.

### unreadCount

public int unreadCount
Total number of unread messages.

### unreadUnmutedCount

public int unreadUnmutedCount
Total number of unread messages in unmuted chats.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### UpdateUnreadMessageCount

public UpdateUnreadMessageCount()
Number of unread messages in a chat list has changed. This update is sent only if the message database is used.

### UpdateUnreadMessageCount

public UpdateUnreadMessageCount​(TdApi.ChatList chatList, int unreadCount, int unreadUnmutedCount)
Number of unread messages in a chat list has changed. This update is sent only if the message database is used.

Parameters:
  `chatList` - ChatList The chat list with changed number of unread messages.
  `unreadCount` - int Total number of unread messages.
  `unreadUnmutedCount` - int Total number of unread messages in unmuted chats.

### UpdateUnreadMessageCount

public UpdateUnreadMessageCount​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`